import Vue from "vue";
import Router from "vue-router";
import Login from "./views/Login.vue";
import ForgetPsd from "./views/ForgetPsd.vue";
import Layout from "./views/Layout.vue";
import Register from "./views/Register.vue";
import Home from "./views/Home.vue";
import UserList from "./views/UserManage/UserList.vue";
import UserDetail from "./views/UserManage/UserDetail.vue";
import OrderList from "./views/OrderManage/OrderList.vue";
import OrderDetail from "./views/OrderManage/OrderDetail.vue";
import ModelList from './views/operateManage/productManage/ModelList.vue'
import AddModel from './views/operateManage/productManage/AddModel.vue'
import ProductList from './views/operateManage/productManage/ProductList.vue'
import BannerList from './views/operateManage/productManage/BannerList.vue'
import AddProduct from './views/operateManage/productManage/AddProduct.vue'
import EquipmentList from './views/equipmentManage/equipmentList/index.vue'
import EquipmentDetail from './views/equipmentManage/equipmentDetail/index.vue'
import AppManage from './views/AppManage/AppManage.vue'
import AppEdit from './views/AppManage/AppEdit.vue'
import BaseAlgorithm from "./views/AlgrithmManage/BaseAlgorithm.vue";
import PageAlgorithm from "./views/AlgrithmManage/PageAlgorithm.vue";
import PageAlgorithmEdit from './views/AlgrithmManage/PageAlgorithmEdit.vue';
import BaseAlgorithmEdit from './views/AlgrithmManage/BaseAlgorithmEdit.vue';

import MobileLogin from "./views/MobileLogin.vue";
import BindPhone from "./views/BindPhone.vue";


Vue.use(Router);

const originalPush = Router.prototype.push;
Router.prototype.push = function push(location: any) {
  return (originalPush.call(this, location) as any).catch((err: any) => err);
};
// const originalPush = Router.prototype.push;
// Router.prototype.push = function push(location: any) {
//   return originalPush.call(this, location).catch((err: any) => err);
// };

const router = new Router({
  mode: "history",
  routes: [
    {
      path: "/",
      name: "Login",
      component: Login
    },

    {
      path: "/MobileLogin",
      name: "MobileLogin",
      component: MobileLogin
    },

    {
      path: "/ForgetPsd",
      name: "ForgetPsd",
      component: ForgetPsd
    },
    {
      path: "/Register",
      name: "Register",
      component: Register
    },
    {
      path: "/BindPhone",
      name: "BindPhone",
      component: BindPhone
    },
    {
      path: "/Layout",
      name: "Layout",
      component: Layout,
      children: [
        {
          path: "Home",
          name: "Home",
          component: Home
        },
        {
          path: "UserList",
          name: "UserList",
          component: UserList
        },
        {
          path: "UserDetail",
          name: "UserDetail",
          component: UserDetail
        },
        {
          path: "OrderList",
          name: "OrderList",
          component: OrderList
        },
        {
          path: "OrderDetail",
          name: "OrderDetail",
          component: OrderDetail
        },
        {
          path: "ModelList",
          name: "ModelList",
          component: ModelList
        },
        {
          path: "AddModel",
          name: "AddModel",
          component: AddModel
        },
        {
          path: "ProductList",
          name: "ProductList",
          component: ProductList
        },
        {
          path: "AddProduct",
          name: "AddProduct",
          component: AddProduct
        },
        {
          path: "BannerList",
          name: "BannerList",
          component: BannerList
        },
        {
          path: "EquipmentList",
          name: "EquipmentList",
          component: EquipmentList
        },
        {
          path: "EquipmentDetail",
          name: "EquipmentDetail",
          component: EquipmentDetail
        },
        {
          path: "AppManage",
          name: "AppManage",
          component: AppManage
        },
        {
          path: "AppEdit/:appId",
          name: "appEdit",
          component: AppEdit,
          props: true
        },
        {
          path: "PageAlgorithm",
          name: "PageAlgorithm",
          component: PageAlgorithm,
        },
        {
          path: "BaseAlgorithm",
          name: "BaseAlgorithm",
          component: BaseAlgorithm,
        },
        {
          path: "PageAlgorithmEdit/:action/:id",
          name: "PageAlgorithmEdit",
          component: PageAlgorithmEdit,
          props: true
        },
        {
          path: "BaseAlgorithmEdit/:action/:id",
          name: "BaseAlgorithmEdit",
          component: BaseAlgorithmEdit,
          props: true
        },
      ]
    }
  ]
});

router.beforeEach((to, from, next) => {
  // console.log(to.query,from,'before')
  // if(from.path !== '/'){
  //   this.CardList.details = []
  // }
  next()
})

export default router;